class DanceTime::Scraper

  def get_page
    Nokogiri::HTML(open("https://blog.feedspot.com/dance_youtube_channels/"))
  end

  def scrape_channels
    self.get_page.css(".trow-wrap")
  end

  def make_channels
    scrape_channels.each do |channel_info|
      name = channel_info.css('.tlink').text
      about = channel_info.css('.data .d').text.gsub(/^Frequency.*$/, "").gsub(/^About Channel\s-\s/, "")
      youtube_link = channel_info.css('.data a').attribute('href').text
      frequency = channel_info.css('.data .d').text.gsub(/^((?!Frequency).)*$/, "")
      DanceTime::Channel.new(name, about, youtube_link, frequency)
    end
  end
end
