# Specifications for the CLI Assessment

Specs:
- [x] Have a CLI for interfacing with the application
  - CLI.rb was created an it interacts with the user. It shows the user a list of dance channels and then it asks them to pick any channel to see more info/details.
- [x] Pull data from an external source
  - The scraper.rb file uses Nokogiri to scrape web data from the website https://blog.feedspot.com/dance_youtube_channels.
- [x] Implement both list and detail views
  - Nokogiri uses the scraped data to create both a list of all of the channels by name, as well as individual profiles on each channel (includes an "about", "link", and "frequency" section). 
